# CbcHeuristicNaive Class Reference

Naive class a) Fix all ints as close to zero as possible b) Fix all ints with nonzero costs and < large to zero c) Put bounds round continuous and UIs and maximize. More...

`#include <CbcHeuristicLocal.hpp>`

Inheritance diagram for CbcHeuristicNaive:
[legend]
Collaboration diagram for CbcHeuristicNaive:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicNaive ()
| CbcHeuristicNaive (CbcModel &model)
| CbcHeuristicNaive (const CbcHeuristicNaive &)
| ~CbcHeuristicNaive ()
virtual CbcHeuristic * | clone () const
| Clone.
CbcHeuristicNaive & | operator= (const CbcHeuristicNaive &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual void | resetModel (CbcModel *model)
| Resets stuff if model changes.
virtual void | setModel (CbcModel *model)
| update model (This is needed if cliques update matrix etc)
virtual int | solution (double &objectiveValue, double *newSolution)
| returns 0 if no solution, 1 if valid solution.
void | setLargeValue (double value)
| Sets large cost value.
double | largeValue () const
| Gets large cost value.
## Protected Attributes
double | large_
| Data Large value.

## Detailed Description

Naive class a) Fix all ints as close to zero as possible b) Fix all ints with nonzero costs and < large to zero c) Put bounds round continuous and UIs and maximize.

Definition at line 150 of file CbcHeuristicLocal.hpp.

## Constructor & Destructor Documentation

CbcHeuristicNaive::CbcHeuristicNaive | ( |  | ) |

CbcHeuristicNaive::CbcHeuristicNaive | ( | CbcModel & | model | ) |

CbcHeuristicNaive::CbcHeuristicNaive | ( | const CbcHeuristicNaive & |  | ) |

CbcHeuristicNaive::~CbcHeuristicNaive | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristic* CbcHeuristicNaive::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristic.

CbcHeuristicNaive& CbcHeuristicNaive::operator= | ( | const CbcHeuristicNaive & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicNaive::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristic.

virtual void CbcHeuristicNaive::resetModel | ( | CbcModel * | model | ) | `[virtual]`

Resets stuff if model changes.

Implements CbcHeuristic.

virtual void CbcHeuristicNaive::setModel | ( | CbcModel * | model | ) | `[virtual]`

update model (This is needed if cliques update matrix etc)

Reimplemented from CbcHeuristic.

virtual int CbcHeuristicNaive::solution | ( | double & | objectiveValue,
|  | double * | newSolution |
| ) |  |  | `[virtual]`

returns 0 if no solution, 1 if valid solution.

Sets solution values if good, sets objective value (only if good)

Implements CbcHeuristic.

void CbcHeuristicNaive::setLargeValue | ( | double | value | ) | `[inline]`

Sets large cost value.

Definition at line 190 of file CbcHeuristicLocal.hpp.

double CbcHeuristicNaive::largeValue | ( |  | ) | const`[inline]`

Gets large cost value.

Definition at line 194 of file CbcHeuristicLocal.hpp.

## Member Data Documentation

double CbcHeuristicNaive::large_`[protected]`

Data Large value.

Definition at line 201 of file CbcHeuristicLocal.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcHeuristicLocal.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines